> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search guests

> Returns guest contacts the calling user can attach to representation expenses



## OpenAPI

````yaml openapi/findity-expense-api.json GET /me/organizations/{id}/guests
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /me/organizations/{id}/guests:
    get:
      tags:
        - Organizations
      summary: Search guests
      description: >-
        Returns guest contacts the calling user can attach to representation
        expenses
      operationId: searchRepresentationGuests
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - $ref: '#/components/parameters/max'
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/searchText'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArrayOfGuests'
components:
  parameters:
    organizationId:
      in: path
      name: id
      required: true
      description: The id of the organization of the user
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
    max:
      name: max
      in: query
      description: max records to return
      required: false
      schema:
        type: integer
        format: int
        minimum: 1
        maximum: 1000
        default: 10
    offset:
      name: offset
      in: query
      description: the offset to be used in list
      required: false
      schema:
        type: integer
        format: int
        minimum: 0
        default: 0
    searchText:
      name: searchText
      in: query
      description: free text to search for
      required: false
      schema:
        type: string
  schemas:
    ArrayOfGuests:
      type: object
      properties:
        meta:
          properties:
            count:
              type: integer
            total:
              type: integer
        data:
          type: array
          items:
            $ref: '#/components/schemas/Guest'
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    Guest:
      type: object
      properties:
        name:
          type: string
        company:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````